# VideoToArticles
## 1. 安装环境

pip install -r requirements.txt

## 2. 启动服务
hypercorn video_app:app --config config.toml

## 3. 项目文件介绍
#### applications
###### ai.py
    kimi && metaso方法, 可直接调用
###### async_mysql.py
    异步mysql连接池
###### functions.py
    封装的公共方法
###### migrate.py
    将data_works数据存储到数据库中（增量）
###### mysql.py
    mysql方法（待优化）
###### odps_server.py
    从data_works读取数据的python方法
###### upload.py
    自动发布到aigc系统到功能
#### deal
###### db_deal.py
    待优化
###### publish_deal.py
    从接口接收信息，将文章发布到aigc平台
###### video_deal.py
    从接口获取视频信息
###### whisper.py
    调用接口实现whisper功能
#### routes
###### vta_routes.py
    路由代码
#### spider
    爬虫代码
#### temp
    缓存文件夹
#### test
    测试文件夹
#### video_app.py
    服务app
#### config.toml
    服务config
#### requirements.txt
    服务配置文件